API action=parse&prop=headhtml doesn't operate in the context of the page being requested
Closed, ResolvedPublic

Description

https://en.wikipedia.org/w/api.php?action=parse&page=Project:Sandbox&prop=headhtml

I would have expected to see wgPageName being set to Wikipedia:Sandbox, not Special:Badtitle/dummy_title_for_API_calls_set_in_api.php.

TTO created this task.Jul 7 2016, 7:04 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 7 2016, 7:04 AM
TTO edited the task description. (Show Details)Jul 7 2016, 7:17 AM

Change 297789 had a related patch set uploaded (by Anomie):
API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/297789

Anomie claimed this task.Jul 7 2016, 1:44 PM
Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.

Change 297789 merged by jenkins-bot:
API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/297789

Change 297921 had a related patch set uploaded (by Legoktm):
API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/297921

Change 297921 merged by jenkins-bot:
API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/297921

Mentioned in SAL [2016-07-08T00:27:28Z] <dereckson@tin> Synchronized php-1.28.0-wmf.9/includes/api/ApiParse.php: API: Generate head items in the context of the given title (T139565) (duration: 00m 30s)

Legoktm closed this task as "Resolved".Jul 8 2016, 12:29 AM

Change 306102 had a related patch set uploaded (by Chad):
SECURITY: API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/306102

Change 306112 had a related patch set uploaded (by Chad):
SECURITY: API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/306112

Change 306121 had a related patch set uploaded (by Chad):
SECURITY: API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/306121

Change 306130 had a related patch set uploaded (by Ejegg):
SECURITY: API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/306130

Change 306130 merged by jenkins-bot:
SECURITY: API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/306130

Change 306121 merged by jenkins-bot:
SECURITY: API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/306121

Change 306112 merged by jenkins-bot:
SECURITY: API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/306112

Change 306102 merged by jenkins-bot:
SECURITY: API: Generate head items in the context of the given title

https://gerrit.wikimedia.org/r/306102